package com.ynet.life.credit.business;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.GENELog;
import com.ynet.life.credit.util.Base64Utils;
import com.ynet.life.credit.vo.input.PushCreditBookVo;
import com.ynet.life.credit.vo.output.OutBaseVo;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.util.PropertiesFile;
import java.util.Properties;
import java.util.UUID;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_credit_business.jar:com/ynet/life/credit/business/RegUploadCreditFileExcutor.class */
public class RegUploadCreditFileExcutor extends BaseApiExcutor<OutBaseVo> {
    private static String CREDIT_COMPONENT = "【【征信上传授权书接口】】";

    @Override // com.ynet.life.credit.business.BaseApiExcutor
    public String execute(Context context) throws GENEException {
        try {
            try {
                PushCreditBookVo vo = new PushCreditBookVo().contextToInBaseVo(context);
                if (StringUtils.isBlank(vo.getFCI_CORNO())) {
                    context.put("GENEException", (Object) null);
                    throw new TranFailException("400", "缺少参数", false);
                }
                Properties bankDBSourceProperties = PropertiesFile.getProperties("/properties/creditApiPath.properties");
                String urlApi = bankDBSourceProperties.getProperty("uploadCreditUrl");
                String wsUser = bankDBSourceProperties.getProperty("wsUser");
                vo.setApiAddr(urlApi);
                vo.setWsUser(wsUser);
                vo.setBusiSeq(UUID.randomUUID().toString());
                vo.setCardType("2");
                String filepath = vo.getFilePath();
                if (StringUtils.isNotBlank(filepath)) {
                    String authFilePath = Base64Utils.GetBaseStrFromFile(filepath);
                    vo.setFileType(filepath.substring(filepath.lastIndexOf(".") + 1));
                    vo.setAuthFilePath(authFilePath);
                }
                String result = saveAuth(vo, urlApi);
                OutBaseVo out = (OutBaseVo) parseStringToObject(result, OutBaseVo.class);
                GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "响应参数==".concat(String.valueOf(result)));
                GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "响应参数==实体化==" + out.toString());
                if ("400".equals(out.getReponseCode()) && out.getReponseMsg().indexOf("重复") != -1) {
                    context.put("result", result);
                    return "0";
                }
                if (StringUtils.isBlank(out.getReponseCode()) || "400".equals(out.getReponseCode())) {
                    context.put("result", result);
                    return "";
                }
                context.put("result", result);
                return "0";
            } catch (Exception e) {
                GENELog.log(GENEConstance.GENE_ACTION, GENELog.ERROR, 0, e.getMessage());
                e.printStackTrace();
                context.put("result", e.getMessage());
                return "";
            }
        } catch (Throwable th) {
            context.put("result", "");
            throw th;
        }
    }
}
